import dataset from "assets/dataset_small.json"

import type { PlasmoMessaging } from "@plasmohq/messaging"

interface data_small {
  brand: string
  COUNTRY: string
  environmental_total: number
  supplychain_total: number
  social_total: number
}
const data: data_small[] = dataset
console.log(data)

function ifExists(brandName: string) {
  const answer = data.find((brand) => brandName.toLowerCase().includes(brand.brand.toLowerCase()))
  return answer
}

const handler: PlasmoMessaging.MessageHandler = async (req, res) => {
  const queryOptions = { active: true, lastFocusedWindow: true }
  const [tab] = await chrome.tabs.query(queryOptions)
  const tokens: string = await tab.title
  console.log(tokens)
  let answer = ifExists(tokens)
  res.send({
    answer
  })
}

export default handler
